Resource

API Key

Manage API Keys for your project

The API Key Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    expiresAt
    Type
    DateRequired
    Description

    Date and Time when this API Key expires.

  • Name
    apiKey
    Type
    Object ID
    Description

    Secret API Key

GETorPOST/api/api-key/get-list

List

This endpoint allows you to retrieve a paginated list of all your API Key. By default, a maximum of ten API Key are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/api-key/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "expiresAt": true,
    "name": true,
    "projectId": true,
    "apiKey": true,
    "createdByUserId": true
  },
  "query": {
    "name": "Production API Key"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376a3eb0-28fe-11f1-b591-3fdcef396aba",
      "expiresAt": "2025-12-31T23:59:59Z",
      "name": "Production API Key",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "apiKey": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376a3eb1-28fe-11f1-b591-3fdcef396aba",
      "expiresAt": "2025-12-31T23:59:59Z",
      "name": "Production API Key",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "apiKey": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376a3eb2-28fe-11f1-b591-3fdcef396aba",
      "expiresAt": "2025-12-31T23:59:59Z",
      "name": "Production API Key",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "apiKey": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/api-key/:id/get-item

Get item by ID

This endpoint allows you to retrieve API Key by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/api-key/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "expiresAt": true,
    "name": true,
    "projectId": true,
    "apiKey": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "376a3eb0-28fe-11f1-b591-3fdcef396aba",
  "expiresAt": "2025-12-31T23:59:59Z",
  "name": "Production API Key",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "apiKey": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/api-key/count

Count

This endpoint allows you to retrieve the count of all your API Key.

Optional Request Body

Count Request

POST
/api/api-key/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Production API Key"
  }
}

Response

{
  "count": 107
}
POST/api/api-key

Create API Key

This endpoint allows you to create a new object.

Create Request

POST
/api/api-key
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "expiresAt": "2025-12-31T23:59:59Z",
    "name": "Production API Key",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "description": "API key used for production environment monitoring and alerting integrations"
  }
}

Response

{
  "_id": "376a3eb0-28fe-11f1-b591-3fdcef396aba",
  "expiresAt": "2025-12-31T23:59:59Z",
  "name": "Production API Key",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "apiKey": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/api-key/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/api-key/:id/update-item
GET/api/api-key/:id/update-item

Update Request

PUT
/api/api-key/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "expiresAt": "2025-12-31T23:59:59Z",
    "name": "Production API Key",
    "description": "API key used for production environment monitoring and alerting integrations"
  }
}

Response

{}
DELETE/api/api-key/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/api-key/:id/delete-item
GET/api/api-key/:id/delete-item

Delete Request

DELETE
/api/api-key/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read API Key

  • Project Owner
  • Project Admin
  • Read API Key
  • Read All Project Resources

Create Permissions

Required to create API Key

  • Project Owner
  • Project Admin
  • Create API Key

Update Permissions

Required to update API Key

  • Project Owner
  • Project Admin
  • Edit API Key Permissions
  • Edit API Key

Delete Permissions

Required to delete API Key

  • Project Owner
  • Project Admin
  • Delete API Key